### Virtual Method

# ECal ReminderWatcher cal_client_connect_sync

#### Declaration [src]

    EClient*
    cal_client_connect_sync (
      EReminderWatcher* watcher,
      ESource* source,
      ECalClientSourceType source_type,
      guint32 wait_for_connected_seconds,
      GCancellable* cancellable,
      GError** error
    )

#### Description

No description available.

#### Parameters

`source`

  Type: `ESource`

  No description available.

  The data is owned by the caller of the method.

`source_type`

  Type: `ECalClientSourceType`

  No description available.

`wait_for_connected_seconds`

  Type: `guint32`

  No description available.

`cancellable`

  Type: `GCancellable`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `EClient`

No description available.

The returned data is owned by the instance.